Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 17 Feb 2022 01:31:01 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers I called your agent yesterday about my problem with your 50% promotions because the items I paid is wrong the price of 15 items is higher like sale  13.50 I paid for 24.83 ? You didn’t give me a feedback yet and my items are going to deliver now how about my refund pls check and need reply thanks. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3881103